Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029612
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2015-04-16 16:422016-03-17 10:55
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q4
StatusclosedFix in branchFixed in SCM revisione9ae17759f2f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029612: Extend the grid configuration to improve the performance of the population of foreign key dropdowns

DescriptionThe query done to populate the foreign key filter drop down can sometimes be slow, depending on the data of the table being filtered and on the data of the referenced table.

For instance, the query done to open the Organization filter drop down of the Product table can be very slow (>10 seconds) if the m_product table has millions of records, even if the Organization table contains less than a dozen of records

This project aims to extend the grid configuration to be able to improve the performance of this query.

Another useful configuration would be to get rid of the foreign key filter dropdown altogether, if its population is much heaviour than filtering the column like a standard text field. For this to work, issue 29732 [1] should be fix, to enable using indexes in that query.

[1] https://issues.openbravo.com/view.php?id=29732 [^]
Steps To ReproduceImplemented as a project: http://wiki.openbravo.com/wiki/Projects:Grid_Config_For_Foreign_Key_Drop_Down_Filters [^]
Proposed SolutionOne possible new configuration would be to show in the filter drop down the identifier of all the rows of the referenced table, instead of building the query using an EXISTS statement
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0028959 newAugustoMauch Extend the grid configuration functionality for the requests to get the possible options for drop-downs on the filters 
depends on defect 0029732 closedAugustoMauch In a mandatory field, the query created when filtering shouldn't have the functions 'coalesce' and 'to_char' 
related to design defect 00307613.0PR16Q1 closedNaroaIriarte product characteristics popup shows all values without filtering out previous filters 

-  Notes
(0078648)
hgbot (developer)
2015-07-06 09:23

Repository: erp/devel/pi
Changeset: aa165ef81792df60637edc17e161a5096c4ec404
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri May 08 12:39:56 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/aa165ef81792df60637edc17e161a5096c4ec404 [^]

Related with bug 29612:New grid configuration to improve population of fk combo

The new grid configuration allows to change the way the foreign key filter drop downs are populated. Usually the rows shown in a fk filter drop down are only those that are being used in the referencing table. But that can be very slow if the referenced table has only a few records and the referenced tablas has a huge volume.

To address this problem, this new grid configuration allows to show all the records of the referenced table, even if they are not being used in the referencing table. When the queryService is being created to populate the filter drop down, the main entity is changed to the referenced table, and the criteria is updated. Also the where clause of the referencing table is now ignored.

---
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_FIELD.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_SYSTEM.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_TAB.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewUtil.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/ForeignKeyUIDefinition.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonConstants.java
---
(0078650)
hgbot (developer)
2015-07-06 09:23

Repository: erp/devel/pi
Changeset: e65e148f179cd023143b49ec097eeba5a1738c9c
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon May 11 13:45:43 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e65e148f179cd023143b49ec097eeba5a1738c9c [^]

Fixes issue 29612: Adds grid configuration to disable fk filter dropdown

Sometime the cost of populating a foreign key filter dropdown is much higher than filtering its column using its identifier, like a standard text column. This changeset adds a grid configuration to allow disabling the dropdown of foreign key filters.

If the configuration is activated the use will not be able to open the dropdown, not even using keyboard shortcuts. Saved views created before enabling this configuration will keep working after activating it.

---
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_FIELD.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_SYSTEM.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_TAB.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewUtil.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/ForeignKeyUIDefinition.java
---
(0078651)
hgbot (developer)
2015-07-06 09:23

Repository: erp/devel/pi
Changeset: 5a4a2606f28501be66e58ef2a84cb4e2a9d592d7
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue May 12 13:13:23 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5a4a2606f28501be66e58ef2a84cb4e2a9d592d7 [^]

Related with bug 29612: Applies properly the client/organizations filter

If the column being filtered referenced the Client or Organization entity, then the resulting query was not including the where clause to filter the readable clients and organizations, respectively. This is a known issue, reported here [1].

This issue cannot be easily fixed, so this project address it by adding manually the readable client or organization filter if the entity being filtered is client or organization and if the query is being built as a result of opening the dropdown of one of the new unfiltered foreign key filters.

[1] https://issues.openbravo.com/view.php?id=29846 [^]

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0078652)
hgbot (developer)
2015-07-06 09:23

Repository: erp/devel/pi
Changeset: f9b82970014e6d0246d0b3373f03501d5f72ffac
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue May 12 16:08:36 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f9b82970014e6d0246d0b3373f03501d5f72ffac [^]

Related with issue 29612: Updates name to use Combo instead of Dropdown

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
---
(0078653)
hgbot (developer)
2015-07-06 09:23

Repository: erp/devel/pi
Changeset: 322841d09c067849eff1587c4eddff2a33906b74
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon May 18 09:51:00 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/322841d09c067849eff1587c4eddff2a33906b74 [^]

Related with issue 29612: Update Copyright year

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewUtil.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/ForeignKeyUIDefinition.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonConstants.java
---
(0078654)
hgbot (developer)
2015-07-06 09:24

Repository: erp/devel/pi
Changeset: cf34375332d2d4cf097f1fabed8d8aa196e51b57
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon May 18 10:49:53 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cf34375332d2d4cf097f1fabed8d8aa196e51b57 [^]

Related with issue 29612: to_char needed in non-textual identifier properties

When filtering a foreign key whose identifier is a column that does not use a text/string reference, using the to_char function is still needed.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M src/org/openbravo/base/model/Property.java
---
(0078655)
hgbot (developer)
2015-07-06 09:24

Repository: erp/devel/pi
Changeset: c8311f845ea4dc57b96f485630913997c1c8dd4a
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon May 18 12:28:44 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c8311f845ea4dc57b96f485630913997c1c8dd4a [^]

Related with issue 29612: handle properly fk filter properties
>
> If the disableFkDropdown grid configuration is enabled, then the allowFkFilterByIdentifier and showFkDropdownUnfiltered should not be taken into account. Otherwise the user could configure the grid in a way that the fintering of a column is enabled, but non functional

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/ForeignKeyUIDefinition.java
---
(0078656)
hgbot (developer)
2015-07-06 09:24

Repository: erp/devel/pi
Changeset: a9a39c837d3b66bbee09b2c0e2e29008a2f7d4d3
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon May 18 18:13:47 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a9a39c837d3b66bbee09b2c0e2e29008a2f7d4d3 [^]

Related with issue 29612: Adds display logic to Grid Configuration

Adds display logic to the Field tab of the Grid Configuration:
- If the Allow Filter field is set to No, the following fields are hidden: Text Field Filter Behavior, Field On Change, Threshold to Trigger Filter on Text Field, Disable Foreign Key Combo, Allow Filtering FOreign Keys by its identifier and Unfiltered Foreign Key Combo
- If the Disable Foreign Key Combo field is set to Yes, the following fields are hidden: Allow Filtering FOreign Keys by its identifier and Unfiltered Foreign Key Combo

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
---
(0078657)
hgbot (developer)
2015-07-06 09:24

Repository: erp/devel/pi
Changeset: e9ae17759f2f650e5ba90dbdad15d3a47ba79e2f
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Jun 23 11:50:57 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e9ae17759f2f650e5ba90dbdad15d3a47ba79e2f [^]

Fixes issue 29612: FK filters with drop down disable behave like text filters

If the "Disable Foreign Key Combo" grid configuration is enabled, then the filters of foreign key fields will not include a dropdown. In this case the filter will look like a standard text filter, so it ha
s been decided that is should act like one. This mean the following grid properties should work:
- Text Field Filter Behaviour. Allows to specify the default operator, no change was needed
- Threashold to Trigger Filter on Text Field. Prevents executing several requests to the datasource in short time span. No change was needed
- Filter On Change: Allows to specify if a filter datasource request should be done when the user types, before the filter editor loses the focus.

The changes done in this changeset fix the third case. The actOnKeypress property is set to true if the FilterOnChange grid config is enabled, otherwise the filter was only done when the filter editor lost
 the focus. For this to work properly, another change was needed: the symbol of the default operator should not be shown in the filter editor.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/ForeignKeyUIDefinition.java
---
(0078658)
hgbot (developer)
2015-07-06 09:24

Repository: erp/devel/pi
Changeset: 809bf54dbb340289fc70c0b9b398f537664d1534
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Jul 06 09:12:10 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/809bf54dbb340289fc70c0b9b398f537664d1534 [^]

Related with issue 29612: Merge with pi

---
M .classpath.template
M .hgsigs
M .hgtags
M legal/Licensing.txt
M lib/README
M modules/org.openbravo.advpaymentmngt/build/classes/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongOrdersData.class
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_INV.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_ISPAYMENTCONFIRMED.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/model/modifiedTables/FIN_FINANCIAL_ACCOUNT.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_REFERENCE.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_TAB.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_WINDOW.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/OBUIAPP_REF_WINDOW.xml
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongOrders_data.xsql
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongOrdersData.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/AddPaymentActionHandler.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/AddTransactionActionHandler.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/MatchStatementOnLoadPreferenceActionHandler.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/ModifyPaymentPlanActionHandler.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/PaymentMethodMulticurrencyActionHandler.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/PaymentProposalPickEditLines.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/ReceivedFromPaymentMethodActionHandler.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddOrderOrInvoice.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/Reconciliation.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_reports/OutstandingDeposit.jrxml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_reports/OutstandingPayment.jrxml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_reports/ReportReconciliation.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_reports/ReportReconciliation.jrxml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_reports/UnreconciledBankStatement.jrxml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/TransactionsDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/event/FIN_FinaccTransactionEventListener.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/filterexpression/AddOrderOrInvoiceFilterExpressionHandler.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/filterexpression/PaymentSelectorFilterExpression.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/hqlinjections/AddPaymentOrderInvoicesTransformer.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/hqlinjections/CreditToUseTransformer.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPayment.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_BankStatementProcess.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentMonitorProcess.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_ReconciliationProcess.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_BankStatementImport.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addTransaction.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-matchStatement.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-utilities.js
M modules/org.openbravo.base.weld/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.base.weld/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_REF_LIST.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/DynamicExpressionParser.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/GlobalMenu.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/MultipleDeleteActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/OBBindings.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/WindowSettingsActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/ElementValueEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/LocationSettingsHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/RemoveImagesEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/ReorderCascadingChildDeletionsHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TableTreeEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TreeTablesEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/UpdateInvariantCharacteristicsHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/navigationbarcomponents/UserInfoWidgetActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/personalization/PersonalizationHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/BaseReportActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportingUtils.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/GetNameGeneralLedger.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/ImagesActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewFieldHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewGridComponent.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-time.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form-linked-items.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/materialmgmt/ob-reservation.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/return-material/ob-return-material.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-action-button.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-number.js
M modules/org.openbravo.client.htmlwidget/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.client.htmlwidget/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.client.kernel/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.client.kernel/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/BaseComponent.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/BaseComponentProvider.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/GetLabelActionHandler.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelApplicationInitializer.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelUtils.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/RequestContext.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/SetContextInfoActionHandler.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/StaticResourceComponent.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/freemarker/FreemarkerTemplateProcessor.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/UIDefinition.java
M modules/org.openbravo.client.kernel/web/org.openbravo.client.kernel/ui-test-suite/index.html
M modules/org.openbravo.client.myob/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.client.myob/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/CalendarWidgetProvider.java
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOBUtils.java
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-url-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/test/ob-myopenbravo-test.js
M modules/org.openbravo.client.querylist/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.client.querylist/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.client.querylist/src/org/openbravo/client/querylist/QueryListDataSource.java
M modules/org.openbravo.client.widgets/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.client.widgets/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.financial.paymentreport/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.financial.paymentreport/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportExcel.jrxml
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportPDF.jrxml
M modules/org.openbravo.reports.ordersawaitingdelivery/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.reports.ordersawaitingdelivery/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.reports.ordersawaitingdelivery/src/org/openbravo/reports/ordersawaitingdelivery/erpCommon/ad_reports/ReportOrderNotShipped.jrxml
M modules/org.openbravo.service.datasource/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.service.datasource/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/BaseDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServiceProvider.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DefaultDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/HQLDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/LinkToParentTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ModelDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/NoteDataSource.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ReadOnlyDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService.java
M modules/org.openbravo.service.integration.google/src-db/database/model/tables/OBSEIG_DEFAULTS.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.service.integration.openid/src-db/database/model/tables/OBSOID_USER_IDENTIFIER.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.service.json/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.service.json/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DataToJsonConverter.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonToDataConverter.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/QueryBuilder.java
M modules/org.openbravo.userinterface.selector/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.userinterface.selector/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/CustomQuerySelectorDatasource.java
M modules/org.openbravo.userinterface.skin.250to300Comp/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.userinterface.skin.250to300Comp/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.userinterface.smartclient/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.userinterface.smartclient/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/isomorphic/ISC_Combined.js
M modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.v3.datasets/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.v3.datasets/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.v3.framework/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.v3.framework/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.v3/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.v3/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M referencedata/sampledata/F_B_International_Group/AD_CLIENT_ACCTDIMENSION.xml
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/AD_SEQUENCE.xml
M referencedata/sampledata/F_B_International_Group/AD_USER.xml
M referencedata/sampledata/F_B_International_Group/AD_WINDOW_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINE.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERTAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER_DISCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENTLINE.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINACC_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINANCIAL_ACCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROPOSAL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROP_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULE.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULEDETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_RECONCILIATION.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNAL.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALBATCH.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALLINE.xml
M referencedata/sampledata/F_B_International_Group/M_ATTRIBUTESETINSTANCE.xml
M referencedata/sampledata/F_B_International_Group/M_COSTING.xml
M referencedata/sampledata/F_B_International_Group/M_INOUT.xml
M referencedata/sampledata/F_B_International_Group/M_INOUTLINE.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHINV.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHPO.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_PENDING.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION_COST.xml
M referencedata/sampledata/F_B_International_Group/OBUIAPP_PROCESS_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/OBUIAPP_VIEW_ROLE_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_WINDOW_ACCESS.xml
M referencedata/sampledata/QA_Testing/C_CONVERSION_RATE.xml
M referencedata/sampledata/QA_Testing/C_INVOICE.xml
M referencedata/sampledata/QA_Testing/C_INVOICELINE.xml
M referencedata/sampledata/QA_Testing/C_INVOICELINETAX.xml
M referencedata/sampledata/QA_Testing/C_INVOICETAX.xml
M referencedata/sampledata/QA_Testing/C_ORDER.xml
M referencedata/sampledata/QA_Testing/C_ORDERLINE.xml
M referencedata/sampledata/QA_Testing/C_ORDERLINETAX.xml
M referencedata/sampledata/QA_Testing/C_ORDERTAX.xml
M referencedata/sampledata/QA_Testing/C_UOM.xml
M referencedata/sampledata/QA_Testing/FACT_ACCT.xml
M referencedata/sampledata/QA_Testing/FIN_FINACC_PAYMENTMETHOD.xml
M referencedata/sampledata/QA_Testing/FIN_PAYMENT.xml
M referencedata/sampledata/QA_Testing/FIN_PAYMENTMETHOD.xml
M referencedata/sampledata/QA_Testing/FIN_PAYMENT_DETAIL.xml
M referencedata/sampledata/QA_Testing/FIN_PAYMENT_SCHEDULE.xml
M referencedata/sampledata/QA_Testing/FIN_PAYMENT_SCHEDULEDETAIL.xml
M referencedata/sampledata/QA_Testing/M_INOUT.xml
M referencedata/sampledata/QA_Testing/M_INOUTLINE.xml
M referencedata/sampledata/QA_Testing/M_MATCHINV.xml
M referencedata/sampledata/QA_Testing/M_MATCHPO.xml
M referencedata/sampledata/QA_Testing/M_PRICELIST.xml
M referencedata/sampledata/QA_Testing/M_PRICELIST_VERSION.xml
M referencedata/sampledata/QA_Testing/M_PRODUCTPRICE.xml
M referencedata/sampledata/QA_Testing/M_STORAGE_DETAIL.xml
M referencedata/sampledata/QA_Testing/M_STORAGE_PENDING.xml
M referencedata/sampledata/QA_Testing/M_TRANSACTION.xml
M referencedata/sampledata/QA_Testing/OBUIAPP_VIEW_ROLE_ACCESS.xml
M src-core/src/org/openbravo/base/VariablesBase.java
M src-core/src/org/openbravo/base/filter/NumberFilter.java
M src-core/src/org/openbravo/database/RDBMSIndependent.java
M src-core/src/org/openbravo/xmlEngine/XmlVectorValue.java
M src-db/database/lib/dbsourcemanager.jar
M src-db/database/model/functions/AD_TABLE_IMPORT.xml
M src-db/database/model/functions/C_CHANGEPROJECTSTATUSTOORDER.xml
M src-db/database/model/functions/C_COMMISSION_PROCESS.xml
M src-db/database/model/functions/C_GENERATESOFROMPROJECTPHASE.xml
M src-db/database/model/functions/C_INVOICE_POST.xml
M src-db/database/model/functions/C_ORDER_POST1.xml
M src-db/database/model/functions/C_YEARPERIODS.xml
M src-db/database/model/functions/GL_JOURNAL_POST.xml
M src-db/database/model/functions/MA_WORKEFFORT_VALIDATE.xml
M src-db/database/model/functions/M_GET_NO_TRX_PRODUCT_COST.xml
M src-db/database/model/functions/M_INOUT_CREATE.xml
M src-db/database/model/functions/M_INOUT_POST.xml
M src-db/database/model/functions/M_PRICELIST_CREATE.xml
M src-db/database/model/functions/M_PRODUCTION_RUN.xml
M src-db/database/model/functions/M_RESERVATION_POST.xml
M src-db/database/model/tables/C_IMPORT_ENTRY.xml
M src-db/database/model/tables/C_IMPORT_ENTRY_ARCHIVE.xml
M src-db/database/model/tables/M_PRODUCT_PO.xml
M src-db/database/model/tables/M_TRANSACTION.xml
M src-db/database/model/triggers/AD_ACCOUNTINGRPT_ELEMENT_TRG.xml
M src-db/database/model/triggers/AD_PACKAGE_JP_TRG.xml
M src-db/database/model/triggers/C_ORDERLINE2_TRG.xml
M src-db/database/model/triggers/M_TRANSACTION_TRG2.xml
M src-db/database/model/triggers/M_WAREHOUSE_TRG.xml
M src-db/database/model/views/M_CREATEPOLINES_PE_V.xml
M src-db/database/model/views/M_RM_SHIPMENT_PICK_EDIT.xml
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_DIMENSION_MAPPING.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODULE.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_PROCESS_PARA.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
M src-test/src/org/openbravo/test/AllAntTaskTests.java
M src-test/src/org/openbravo/test/AllQuickAntTaskTests.java
M src-test/src/org/openbravo/test/AllWebserviceTests.java
M src-test/src/org/openbravo/test/AntTaskTests.java
M src-test/src/org/openbravo/test/costing/TestCosting.java
M src-test/src/org/openbravo/test/dal/ADCachedMultiThreadTest.java
M src-test/src/org/openbravo/test/dal/DalPerformanceExampleTest.java
M src-test/src/org/openbravo/test/webservice/JSONWebServices.java
M src-test/src/org/openbravo/test/xml/EntityXMLIssues.java
M src-trl/src/org/openbravo/translate/RTLSkin.java
M src-trl/src/org/openbravo/translate/Translate.java
M src-util/buildvalidation/src/org/openbravo/buildvalidation/GLJournalAccountingCheck_data.xsql
M src-util/modulescript/build/classes/org/openbravo/modulescript/UpdatePaymentPlan.class
M src-util/modulescript/build/classes/org/openbravo/modulescript/UpdatePaymentPlanData.class
M src-util/modulescript/src/org/openbravo/modulescript/UpdatePaymentPlan.java
M src-util/modulescript/src/org/openbravo/modulescript/UpdatePaymentPlan_data.xsql
M src-wad/src/org/openbravo/wad/Wad.java
M src-wad/src/org/openbravo/wad/WadUtility.java
M src-wad/src/org/openbravo/wad/controls/WADControl.java
M src-wad/src/org/openbravo/wad/controls/WADImage.java
M src-wad/src/org/openbravo/wad/controls/WADNumber.java
M src-wad/src/org/openbravo/wad/controls/WADSearch.java
M src-wad/src/org/openbravo/wad/javasource.javaxml
M src-wad/src/org/openbravo/wad/validation/WADValidator.java
M src/org/openbravo/base/model/Column.java
M src/org/openbravo/base/model/ModelProvider.java
M src/org/openbravo/base/provider/OBProviderConfigReader.java
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
M src/org/openbravo/base/secureApp/LoginUtils.java
M src/org/openbravo/base/secureApp/OrgTree.java
M src/org/openbravo/base/session/HostNameTask.java
M src/org/openbravo/base/session/OBYesNoType.java
M src/org/openbravo/base/structure/IdentifierProvider.java
M src/org/openbravo/common/actionhandler/KillProcess.java
M src/org/openbravo/common/actionhandler/RMInOutPickEditLines.java
M src/org/openbravo/common/actionhandler/RMShipmentPickEditLines.java
M src/org/openbravo/common/datasource/ResultMapCriteriaUtils.java
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
M src/org/openbravo/configuration/ConfigurationApp.java
M src/org/openbravo/configuration/ConfigureOption.java
M src/org/openbravo/costing/AverageCostAdjustment.java
M src/org/openbravo/costing/CostAdjustmentProcess.java
M src/org/openbravo/costing/CostingAlgorithm.java
M src/org/openbravo/costing/CostingAlgorithmAdjustmentImp.java
M src/org/openbravo/costing/CostingBackground.java
M src/org/openbravo/costing/CostingMigrationProcess.java
M src/org/openbravo/costing/CostingRuleProcess.java
M src/org/openbravo/costing/CostingRuleProcessOnProcessHandler.java
M src/org/openbravo/costing/InventoryAmountUpdateProcess.java
M src/org/openbravo/costing/LCMatchingProcess.java
M src/org/openbravo/costing/LandedCostDistributionByAmount.java
M src/org/openbravo/costing/LandedCostProcess.java
M src/org/openbravo/costing/PriceDifferenceProcess.java
M src/org/openbravo/costing/StandardCostAdjustment.java
M src/org/openbravo/dal/core/SessionHandler.java
M src/org/openbravo/dal/security/EntityAccessChecker.java
M src/org/openbravo/dal/security/SecurityChecker.java
M src/org/openbravo/dal/service/OBDal.java
M src/org/openbravo/dal/service/OBDao.java
M src/org/openbravo/dal/xml/EntityExcelXMLConverter.java
M src/org/openbravo/dal/xml/EntityXMLConverter.java
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
M src/org/openbravo/erpCommon/ad_actionButton/CreateVatRegisters_data.xsql
M src/org/openbravo/erpCommon/ad_actionButton/EditCCPMeasureValues.java
M src/org/openbravo/erpCommon/ad_actionButton/ExportReferenceData.java
M src/org/openbravo/erpCommon/ad_callouts/SL_Asset_Product.java
M src/org/openbravo/erpCommon/ad_callouts/SL_PC_Case_Product.java
M src/org/openbravo/erpCommon/ad_callouts/SL_SequenceProduct_Product_Attribute.java
M src/org/openbravo/erpCommon/ad_forms/About.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
M src/org/openbravo/erpCommon/ad_forms/DocAmortizationTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocBankTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocCashTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocDPManagementTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocDoubtfulDebt.java
M src/org/openbravo/erpCommon/ad_forms/DocDoubtfulDebtTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocFINBankStatement.java
M src/org/openbravo/erpCommon/ad_forms/DocFINBankStatementTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocFINFinAccTransaction.java
M src/org/openbravo/erpCommon/ad_forms/DocFINFinAccTransactionTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocFINPayment.java
M src/org/openbravo/erpCommon/ad_forms/DocFINPaymentTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocFINReconciliation.java
M src/org/openbravo/erpCommon/ad_forms/DocFINReconciliationTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocGLJournalTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocInOutTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocInventoryTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocInvoice.java
M src/org/openbravo/erpCommon/ad_forms/DocInvoiceTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocInvoice_data.xsql
M src/org/openbravo/erpCommon/ad_forms/DocLCCostTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocLandedCostTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocLine_FINPayment.java
M src/org/openbravo/erpCommon/ad_forms/DocLine_GLJournal.java
M src/org/openbravo/erpCommon/ad_forms/DocMatchInvTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocMovementTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocOrderTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocPaymentTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocProductionTemplate.java
M src/org/openbravo/erpCommon/ad_forms/Fact.java
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending.html
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
M src/org/openbravo/erpCommon/ad_forms/Registration.java
M src/org/openbravo/erpCommon/ad_forms/RequisitionToOrder.java
M src/org/openbravo/erpCommon/ad_forms/RequisitionToOrder_data.xsql
M src/org/openbravo/erpCommon/ad_forms/TranslationManager.java
M src/org/openbravo/erpCommon/ad_forms/UpdateReferenceData.java
M src/org/openbravo/erpCommon/ad_process/DeleteClient.java
M src/org/openbravo/erpCommon/ad_process/HeartbeatProcess.java
M src/org/openbravo/erpCommon/ad_process/JasperProcess.java
M src/org/openbravo/erpCommon/ad_process/MRPPurchaseCreateReservations.java
M src/org/openbravo/erpCommon/ad_process/RegisterModule.java
M src/org/openbravo/erpCommon/ad_process/ResetAccountingProcess.java
M src/org/openbravo/erpCommon/ad_process/assets/AssetLinearDepreciationMethodProcess.java
M src/org/openbravo/erpCommon/ad_reports/CustomerStatement.jrxml
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReportsPDF.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportAgingBalance.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportAnnualCertification.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportAssetDepreciationSchedule.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportBankJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportCashJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportCashflowForecast.java
M src/org/openbravo/erpCommon/ad_reports/ReportCashflowForecast.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportCashflowForecast_perDay.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportCashflowForecast_sub.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportDebtPayment.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportDebtPaymentTracker.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportDebtPayment_BankAcc.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportDebtPayment_NoBP.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportDebtPayment_NoBP_BankAcc.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportExpense.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedger.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedger.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerExcel.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournalExcel.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGuaranteeDateJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesComparativeJR_legacy.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_legacy.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeExtendedJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesNoComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesNoComparativeJR_legacy.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesXLS.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceDiscountJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorDimensionalAnalysesXLS.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoicesEditJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportMaterialTransactionEditionJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportOrderNotInvoiceJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportPendingProductionJr.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportProductionJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportProductionRun.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportProjectBuildingSiteJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportProjectProfitabilityJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportProjectProgress.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportPurchaseOrder.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderInvoicedJasper.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderProvidedJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesPartnerProduct.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesPartnerProduct_srpt.jasper
M src/org/openbravo/erpCommon/ad_reports/ReportSalesPartnerProduct_srpt.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportShipmentEdition.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportStandardCostJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportStandardCostsJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportStandardCostsJR_srptcosts.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportStandardCostsJR_subreport0.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoice.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoiceJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoicePurchase.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoicePurchaseForeign.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoiceSale.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoiceSaleForeign.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportToInvoiceConsignmentJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance.java
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalanceExcel.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalancePDF.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance_data.xsql
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock.html
M src/org/openbravo/erpCommon/ad_reports/ReportWarehousePartnerJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementDaily.java
M src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementDailyEdit.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/SimpleDimensionalComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/SimpleDimensionalNoComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/SubreportWorkRequirementDaily.jrxml
M src/org/openbravo/erpCommon/ad_reports/SubreportWorkRequirementDaily2.jrxml
M src/org/openbravo/erpCommon/ad_reports/WeightDimensionalComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/WeightDimensionalNoComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/productionReport.jrxml
M src/org/openbravo/erpCommon/ad_reports/productionSubReport.jrxml
M src/org/openbravo/erpCommon/businessUtility/AuditTrailDeletedRecords.java
M src/org/openbravo/erpCommon/businessUtility/COAUtility.java
M src/org/openbravo/erpCommon/businessUtility/InitialClientSetup.java
M src/org/openbravo/erpCommon/businessUtility/InitialOrgSetup.java
M src/org/openbravo/erpCommon/info/AccountElementValue.java
M src/org/openbravo/erpCommon/info/ImageInfoBLOB.java
M src/org/openbravo/erpCommon/info/Locator.java
M src/org/openbravo/erpCommon/modules/ImportModule.java
M src/org/openbravo/erpCommon/modules/ModuleTree.java
M src/org/openbravo/erpCommon/modules/ModuleUtiltiy.java
M src/org/openbravo/erpCommon/modules/VersionUtility.java
M src/org/openbravo/erpCommon/obps/ActivationKey.java
M src/org/openbravo/erpCommon/security/Login.html
M src/org/openbravo/erpCommon/security/Login.java
M src/org/openbravo/erpCommon/utility/ComboTableData.java
M src/org/openbravo/erpCommon/utility/DateTime_data.xsql
M src/org/openbravo/erpCommon/utility/DownloadReport.java
M src/org/openbravo/erpCommon/utility/ExportGrid.java
M src/org/openbravo/erpCommon/utility/GenericTree.java
M src/org/openbravo/erpCommon/utility/GridBO.java
M src/org/openbravo/erpCommon/utility/GridReportVO.java
M src/org/openbravo/erpCommon/utility/LeftTabsBar.java
M src/org/openbravo/erpCommon/utility/NavigationBar.java
M src/org/openbravo/erpCommon/utility/PrintJR.java
M src/org/openbravo/erpCommon/utility/ReferencedLink.java
M src/org/openbravo/erpCommon/utility/ReportDesignBO.java
M src/org/openbravo/erpCommon/utility/ToolBar.java
M src/org/openbravo/erpCommon/utility/UsedByLink.java
M src/org/openbravo/erpCommon/utility/Utility.java
M src/org/openbravo/erpCommon/utility/plantilla.jrxml
M src/org/openbravo/erpCommon/utility/poc/EmailManager.java
M src/org/openbravo/erpCommon/utility/reporting/ReportManager.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintController.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintInvoices.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintOrders.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintQuotations.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintShipments.java
M src/org/openbravo/erpReports/C_OrderJR.jrxml
M src/org/openbravo/erpReports/C_OrderJR_new.jrxml
M src/org/openbravo/erpReports/C_OrderLinesJR.jrxml
M src/org/openbravo/erpReports/C_OrderLinesJR_new.jrxml
M src/org/openbravo/erpReports/C_OrderLinesTaxIncludedJR.jrxml
M src/org/openbravo/erpReports/C_OrderLinesTaxIncludedJR_new.jrxml
M src/org/openbravo/erpReports/C_QuotationJR.jrxml
M src/org/openbravo/erpReports/C_RMOrderJR.jrxml
M src/org/openbravo/erpReports/C_RMOrderLinesJR.jrxml
M src/org/openbravo/erpReports/ReportRegisterByVatJR.jrxml
M src/org/openbravo/erpReports/ReportRegisterLineJR.jrxml
M src/org/openbravo/erpReports/ReportVatRegisterJR.java
M src/org/openbravo/erpReports/RptC_Invoice.java
M src/org/openbravo/erpReports/RptC_Invoice.jrxml
M src/org/openbravo/erpReports/RptC_Invoice_Lines.jrxml
M src/org/openbravo/erpReports/RptC_Invoice_Lines_new.jrxml
M src/org/openbravo/erpReports/RptC_Invoice_TaxLines.jrxml
M src/org/openbravo/erpReports/RptC_Invoice_TaxLines_new.jrxml
M src/org/openbravo/erpReports/RptC_Invoice_new.jrxml
M src/org/openbravo/erpReports/RptC_Order.java
M src/org/openbravo/erpReports/RptC_OrderPO.java
M src/org/openbravo/erpReports/RptC_OrderPO.jrxml
M src/org/openbravo/erpReports/RptC_OrderPO_Lines.jrxml
M src/org/openbravo/erpReports/RptC_Order_TaxLines.jrxml
M src/org/openbravo/erpReports/RptC_Order_TaxLines_new.jrxml
M src/org/openbravo/erpReports/RptC_ProposalJr.java
M src/org/openbravo/erpReports/RptC_ProposalJr.jrxml
M src/org/openbravo/erpReports/RptC_Remittance.java
M src/org/openbravo/erpReports/RptC_Remittance.jrxml
M src/org/openbravo/erpReports/RptC_Remittance_Lines.jrxml
M src/org/openbravo/erpReports/RptFIN_Payment.jrxml
M src/org/openbravo/erpReports/RptFIN_PaymentLines.jrxml
M src/org/openbravo/erpReports/RptMA_ProcessPlan.jrxml
M src/org/openbravo/erpReports/RptM_InOut.jrxml
M src/org/openbravo/erpReports/RptM_InOut_new.jrxml
M src/org/openbravo/erpReports/RptM_RMInOut.jrxml
M src/org/openbravo/erpReports/RptM_RMInOut_Lines.jrxml
M src/org/openbravo/erpReports/RptM_Requisition.java
M src/org/openbravo/erpReports/RptM_Requisition.jrxml
M src/org/openbravo/erpReports/RptM_Requisition_Lines.jrxml
M src/org/openbravo/erpReports/Rptm_InOut_Lines.jrxml
M src/org/openbravo/erpReports/Rptm_InOut_Lines_new.jrxml
M src/org/openbravo/erpReports/SubreportLines.jrxml
M src/org/openbravo/event/CharacteristicValueEventHandler.java
M src/org/openbravo/event/GLJournalEventHandler.java
M src/org/openbravo/event/InvoiceLineEventHandler.java
M src/org/openbravo/event/MInOutLineEventHandler.java
M src/org/openbravo/event/PaidStatusEventHandler.java
M src/org/openbravo/event/PeriodEventHandler.java
M src/org/openbravo/financial/ResetAccounting.java
M src/org/openbravo/materialmgmt/InventoryCountProcess.java
M src/org/openbravo/materialmgmt/VariantAutomaticGenerationProcess.java
M src/org/openbravo/materialmgmt/VariantChDescUpdateProcess.java
M src/org/openbravo/scheduling/DefaultJob.java
M src/org/openbravo/scheduling/KillableProcess.java
M src/org/openbravo/scheduling/OBScheduler.java
M src/org/openbravo/scheduling/Process.java
M src/org/openbravo/scheduling/ProcessMonitor.java
M src/org/openbravo/service/db/CallProcess.java
M src/org/openbravo/service/db/DalBaseProcess.java
M src/org/openbravo/service/db/DataImportService.java
M src/org/openbravo/service/importprocess/ImportEntryArchiveManager.java
M src/org/openbravo/service/importprocess/ImportEntryManager.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
M src/org/openbravo/service/importprocess/ImportProcessUtils.java
M src/org/openbravo/service/rest/DalWebService.java
M src/org/openbravo/service/rest/bo.xslt
M src/org/openbravo/service/system/ApplicationDictionaryValidator.java
M src/org/openbravo/service/web/WebServiceUtil.java
A legal/Apache_poi_license.txt
A legal/iTextpdf_license.txt
A lib/runtime/itext-pdfa-5.5.0.jar
A lib/runtime/itextpdf-5.5.0.jar
A lib/runtime/jackson-annotations-2.1.4.jar
A lib/runtime/jackson-core-2.1.4.jar
A lib/runtime/jackson-databind-2.1.4.jar
A lib/runtime/jasperreports-6.0.0.jar
A lib/runtime/jasperreports-fonts-6.0.0.jar
A lib/runtime/poi-3.10.1.jar
A modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_SEQNOINVPAIDSTATUS.xml
A modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/AddMultiplePaymentsHandler.java
A modules/org.openbravo.client.application/lib/runtime/guice-2.0.jar
A modules/org.openbravo.client.application/lib/runtime/httpclient-4.0.jar
A modules/org.openbravo.client.application/lib/runtime/httpcore-4.0.1.jar
A modules/org.openbravo.client.application/lib/runtime/httpmime-4.1.jar
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-utilities-number-test.js
A referencedata/sampledata/QA_Testing/C_CONVERSION_RATE_DOCUMENT.xml
A src-test/src/org/openbravo/test/accounting/PostDocumentTest.java
A src-test/src/org/openbravo/test/scheduling/ProcessSchedulingTest.java
A src-test/src/org/openbravo/test/system/ImportEntrySizeTest.java
A src-test/src/org/openbravo/test/system/Issue29934Test.java
A src-test/src/org/openbravo/test/webservice/WebServicesWithNoActiveFilterTest.java
A src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/DatabaseDecimalNumberCheck.class
A src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/DatabaseDecimalNumberCheckData.class
A src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/DatabaseVersionCheck.class
A src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/DatabaseVersionCheckData.class
A src-util/buildvalidation/src/org/openbravo/buildvalidation/DatabaseDecimalNumberCheck.java
A src-util/buildvalidation/src/org/openbravo/buildvalidation/DatabaseDecimalNumberCheck_data.xsql
A src-util/buildvalidation/src/org/openbravo/buildvalidation/DatabaseVersionCheck.java
A src-util/buildvalidation/src/org/openbravo/buildvalidation/DatabaseVersionCheck_data.xsql
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdatePaymentBPClientDimension.class
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdatePaymentBPClientDimensionData.class
A src-util/modulescript/src/org/openbravo/modulescript/UpdatePaymentBPClientDimension.java
A src-util/modulescript/src/org/openbravo/modulescript/UpdatePaymentBPClientDimension_data.xsql
A src/org/openbravo/event/OrderLineEventHandler.java
A src/org/openbravo/event/RoleEventHandler.java
A src/org/openbravo/service/importprocess/ImportReprocessErrorEntries.java
A src/org/openbravo/service/importprocess/ProcessImportEntriesProcessActionHandler.java
A web/images/gSignInButtonDemo.png
R lib/runtime/iText-2.1.7.jar
R lib/runtime/jasperreports-4.0.1.jar
R lib/runtime/jasperreports-fonts-4.0.1.jar
R modules/org.openbravo.service.integration.google/src-db/database/model/functions/OBSEIG_UPDATE_ACCESS.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_EP_PROCEDURES.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_FIELD.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_MENU.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_MESSAGE.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_MODEL_OBJECT.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_TAB.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_TREENODE.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_WINDOW.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/OBUIAPP_MENU_PARAMETERS.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/OBUIAPP_VIEW_IMPL.xml
R modules/org.openbravo.service.integration.google/src/org/openbravo/service/integration/google/GoogleAuthServlet.java
R modules/org.openbravo.service.integration.google/src/org/openbravo/service/integration/google/GoogleIntegrationComponentProvider.java
R modules/org.openbravo.service.integration.google/web/images/google.png
R modules/org.openbravo.service.integration.google/web/org.openbravo.service.integration.google/js/obsegi-account-association-view.js
R modules/org.openbravo.service.integration.openid/lib/runtime/guice-2.0.jar
R modules/org.openbravo.service.integration.openid/lib/runtime/httpclient-4.0.jar
R modules/org.openbravo.service.integration.openid/lib/runtime/httpcore-4.0.1.jar
R modules/org.openbravo.service.integration.openid/lib/runtime/httpmime-4.1.jar
R modules/org.openbravo.service.integration.openid/lib/runtime/openid4java-0.9.6.jar
R modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_FIELD.xml
R modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_TAB.xml
R modules/org.openbravo.service.integration.openid/src/org/openbravo/service/integration/openid/OpenIDManager.java
R referencedata/sampledata/F_B_International_Group/AD_PINSTANCE.xml
R referencedata/sampledata/F_B_International_Group/AD_PINSTANCE_PARA.xml
---
(0078697)
alostale (developer)
2015-07-07 10:08

code reviewed + tested
(0079457)
hudsonbot (developer)
2015-08-20 23:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079459)
hudsonbot (developer)
2015-08-20 23:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079460)
hudsonbot (developer)
2015-08-20 23:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079461)
hudsonbot (developer)
2015-08-20 23:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079462)
hudsonbot (developer)
2015-08-20 23:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079463)
hudsonbot (developer)
2015-08-20 23:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079464)
hudsonbot (developer)
2015-08-20 23:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079465)
hudsonbot (developer)
2015-08-20 23:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079466)
hudsonbot (developer)
2015-08-20 23:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079467)
hudsonbot (developer)
2015-08-20 23:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0083536)
hgbot (developer)
2016-01-22 11:18

Repository: erp/devel/pi
Changeset: 5435f9b695c087f8121dca379b6abdca392c9ae2
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri May 08 12:39:56 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5435f9b695c087f8121dca379b6abdca392c9ae2 [^]

Related with bug 29612:New grid configuration to improve population of fk combo

The new grid configuration allows to change the way the foreign key filter drop downs are populated. Usually the rows shown in a fk filter drop down are only those that are being used in the referencing table. But that can be very slow if the referenced table has only a few records and the referenced tablas has a huge volume.

To address this problem, this new grid configuration allows to show all the records of the referenced table, even if they are not being used in the referencing table. When the queryService is being created to populate the filter drop down, the main entity is changed to the referenced table, and the criteria is updated. Also the where clause of the referencing table is now ignored.

---
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_FIELD.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_SYSTEM.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_TAB.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewUtil.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/ForeignKeyUIDefinition.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonConstants.java
---
(0083539)
hgbot (developer)
2016-01-22 11:19

Repository: erp/devel/pi
Changeset: 9995a97af331a09a04069527e773f8dc18bace0e
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue May 12 13:13:23 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9995a97af331a09a04069527e773f8dc18bace0e [^]

Related with bug 29612: Applies properly the client/organizations filter

If the column being filtered referenced the Client or Organization entity, then the resulting query was not including the where clause to filter the readable clients and organizations, respectively. This is a known issue, reported here [1].

This issue cannot be easily fixed, so this project address it by adding manually the readable client or organization filter if the entity being filtered is client or organization and if the query is being built as a result of opening the dropdown of one of the new unfiltered foreign key filters.

[1] https://issues.openbravo.com/view.php?id=29846 [^]

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0083540)
hgbot (developer)
2016-01-22 11:19

Repository: erp/devel/pi
Changeset: 9995a97af331a09a04069527e773f8dc18bace0e
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue May 12 13:13:23 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9995a97af331a09a04069527e773f8dc18bace0e [^]

Related with bug 29612: Applies properly the client/organizations filter

If the column being filtered referenced the Client or Organization entity, then the resulting query was not including the where clause to filter the readable clients and organizations, respectively. This is a known issue, reported here [1].

This issue cannot be easily fixed, so this project address it by adding manually the readable client or organization filter if the entity being filtered is client or organization and if the query is being built as a result of opening the dropdown of one of the new unfiltered foreign key filters.

[1] https://issues.openbravo.com/view.php?id=29846 [^]

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0083541)
hgbot (developer)
2016-01-22 11:19

Repository: erp/devel/pi
Changeset: 98bb63140ffcf35ba69edfc05a814cc745f953bf
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue May 12 16:08:36 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/98bb63140ffcf35ba69edfc05a814cc745f953bf [^]

Related with issue 29612: Updates name to use Combo instead of Dropdown

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
---
(0083542)
hgbot (developer)
2016-01-22 11:20

Repository: erp/devel/pi
Changeset: 3bab886703aa99aab078a3357990664be4971104
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon May 18 09:51:00 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3bab886703aa99aab078a3357990664be4971104 [^]

Related with issue 29612: Update Copyright year

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewUtil.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/ForeignKeyUIDefinition.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonConstants.java
---
(0083543)
hgbot (developer)
2016-01-22 11:20

Repository: erp/devel/pi
Changeset: b147f062605f1e88376fc07f78e7a118872ee31b
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon May 18 10:49:53 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b147f062605f1e88376fc07f78e7a118872ee31b [^]

Related with issue 29612: to_char needed in non-textual identifier properties

When filtering a foreign key whose identifier is a column that does not use a text/string reference, using the to_char function is still needed.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M src/org/openbravo/base/model/Property.java
---
(0083544)
hgbot (developer)
2016-01-22 11:20

Repository: erp/devel/pi
Changeset: 83f684e6801384b2f792db8f2a55de35d39c7902
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon May 18 12:28:44 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/83f684e6801384b2f792db8f2a55de35d39c7902 [^]

Related with issue 29612: handle properly fk filter properties
>
> If the disableFkDropdown grid configuration is enabled, then the allowFkFilterByIdentifier and showFkDropdownUnfiltered should not be taken into account. Otherwise the user could configure the grid in a way that the fintering of a column is enabled, but non functional

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/ForeignKeyUIDefinition.java
---
(0083545)
hgbot (developer)
2016-01-22 11:21

Repository: erp/devel/pi
Changeset: 1fddb430de7dfc557caa9c5db7ca6aa2f1e804a6
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon May 18 18:13:47 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1fddb430de7dfc557caa9c5db7ca6aa2f1e804a6 [^]

Related with issue 29612: Adds display logic to Grid Configuration

Adds display logic to the Field tab of the Grid Configuration:
- If the Allow Filter field is set to No, the following fields are hidden: Text Field Filter Behavior, Field On Change, Threshold to Trigger Filter on Text Field, Disable Foreign Key Combo, Allow Filtering FOreign Keys by its identifier and Unfiltered Foreign Key Combo
- If the Disable Foreign Key Combo field is set to Yes, the following fields are hidden: Allow Filtering FOreign Keys by its identifier and Unfiltered Foreign Key Combo

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
---
(0085064)
hudsonbot (developer)
2016-03-17 10:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085066)
hudsonbot (developer)
2016-03-17 10:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085067)
hudsonbot (developer)
2016-03-17 10:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085068)
hudsonbot (developer)
2016-03-17 10:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085069)
hudsonbot (developer)
2016-03-17 10:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085070)
hudsonbot (developer)
2016-03-17 10:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085071)
hudsonbot (developer)
2016-03-17 10:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085072)
hudsonbot (developer)
2016-03-17 10:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-04-16 16:42 AugustoMauch New Issue
2015-04-16 16:42 AugustoMauch Assigned To => platform
2015-04-16 16:42 AugustoMauch Modules => Core
2015-04-16 16:42 AugustoMauch Triggers an Emergency Pack => No
2015-04-16 16:47 AugustoMauch Proposed Solution updated
2015-05-11 13:11 AugustoMauch Description Updated View Revisions
2015-05-11 13:11 AugustoMauch Relationship added depends on 0029732
2015-05-12 17:23 AugustoMauch Tag Attached: Performance
2015-07-03 11:25 alostale Relationship added related to 0028959
2015-07-06 09:23 hgbot Checkin
2015-07-06 09:23 hgbot Note Added: 0078648
2015-07-06 09:23 hgbot Checkin
2015-07-06 09:23 hgbot Note Added: 0078650
2015-07-06 09:23 hgbot Status new => resolved
2015-07-06 09:23 hgbot Resolution open => fixed
2015-07-06 09:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e65e148f179cd023143b49ec097eeba5a1738c9c [^]
2015-07-06 09:23 hgbot Checkin
2015-07-06 09:23 hgbot Note Added: 0078651
2015-07-06 09:23 hgbot Checkin
2015-07-06 09:23 hgbot Note Added: 0078652
2015-07-06 09:23 hgbot Checkin
2015-07-06 09:23 hgbot Note Added: 0078653
2015-07-06 09:24 hgbot Checkin
2015-07-06 09:24 hgbot Note Added: 0078654
2015-07-06 09:24 hgbot Checkin
2015-07-06 09:24 hgbot Note Added: 0078655
2015-07-06 09:24 hgbot Checkin
2015-07-06 09:24 hgbot Note Added: 0078656
2015-07-06 09:24 hgbot Checkin
2015-07-06 09:24 hgbot Note Added: 0078657
2015-07-06 09:24 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/e65e148f179cd023143b49ec097eeba5a1738c9c [^] => http://code.openbravo.com/erp/devel/pi/rev/e9ae17759f2f650e5ba90dbdad15d3a47ba79e2f [^]
2015-07-06 09:24 hgbot Checkin
2015-07-06 09:24 hgbot Note Added: 0078658
2015-07-06 09:25 AugustoMauch Issue Monitored: alostale
2015-07-06 09:25 AugustoMauch Review Assigned To => alostale
2015-07-07 10:07 alostale Assigned To platform => AugustoMauch
2015-07-07 10:08 alostale Steps to Reproduce Updated View Revisions
2015-07-07 10:08 alostale Note Added: 0078697
2015-07-07 10:08 alostale Status resolved => closed
2015-07-07 10:08 alostale Fixed in Version => 3.0PR15Q4
2015-08-20 23:15 hudsonbot Checkin
2015-08-20 23:15 hudsonbot Note Added: 0079457
2015-08-20 23:15 hudsonbot Checkin
2015-08-20 23:15 hudsonbot Note Added: 0079459
2015-08-20 23:15 hudsonbot Checkin
2015-08-20 23:15 hudsonbot Note Added: 0079460
2015-08-20 23:15 hudsonbot Checkin
2015-08-20 23:15 hudsonbot Note Added: 0079461
2015-08-20 23:15 hudsonbot Checkin
2015-08-20 23:15 hudsonbot Note Added: 0079462
2015-08-20 23:15 hudsonbot Checkin
2015-08-20 23:15 hudsonbot Note Added: 0079463
2015-08-20 23:15 hudsonbot Checkin
2015-08-20 23:15 hudsonbot Note Added: 0079464
2015-08-20 23:15 hudsonbot Checkin
2015-08-20 23:15 hudsonbot Note Added: 0079465
2015-08-20 23:15 hudsonbot Checkin
2015-08-20 23:15 hudsonbot Note Added: 0079466
2015-08-20 23:15 hudsonbot Checkin
2015-08-20 23:15 hudsonbot Note Added: 0079467
2015-09-04 10:15 alostale Relationship added related to 0030761
2016-01-22 11:18 hgbot Checkin
2016-01-22 11:18 hgbot Note Added: 0083536
2016-01-22 11:19 hgbot Checkin
2016-01-22 11:19 hgbot Note Added: 0083539
2016-01-22 11:19 hgbot Checkin
2016-01-22 11:19 hgbot Note Added: 0083540
2016-01-22 11:19 hgbot Checkin
2016-01-22 11:19 hgbot Note Added: 0083541
2016-01-22 11:20 hgbot Checkin
2016-01-22 11:20 hgbot Note Added: 0083542
2016-01-22 11:20 hgbot Checkin
2016-01-22 11:20 hgbot Note Added: 0083543
2016-01-22 11:20 hgbot Checkin
2016-01-22 11:20 hgbot Note Added: 0083544
2016-01-22 11:21 hgbot Checkin
2016-01-22 11:21 hgbot Note Added: 0083545
2016-03-17 10:54 hudsonbot Checkin
2016-03-17 10:54 hudsonbot Note Added: 0085064
2016-03-17 10:55 hudsonbot Checkin
2016-03-17 10:55 hudsonbot Note Added: 0085066
2016-03-17 10:55 hudsonbot Checkin
2016-03-17 10:55 hudsonbot Note Added: 0085067
2016-03-17 10:55 hudsonbot Checkin
2016-03-17 10:55 hudsonbot Note Added: 0085068
2016-03-17 10:55 hudsonbot Checkin
2016-03-17 10:55 hudsonbot Note Added: 0085069
2016-03-17 10:55 hudsonbot Checkin
2016-03-17 10:55 hudsonbot Note Added: 0085070
2016-03-17 10:55 hudsonbot Checkin
2016-03-17 10:55 hudsonbot Note Added: 0085071
2016-03-17 10:55 hudsonbot Checkin
2016-03-17 10:55 hudsonbot Note Added: 0085072


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker